For the complete documentation index, see llms.txt. This page is also available as Markdown.

Device

get

Device Resource Fields

Field

id

belongs_to__application

belongs_to__user

actor

device_name

is_of__device_type

uuid

is_running__release

is_pinned_on__release

should_be_running__release

note

local_id

status

overall_status

is_online

last_connectivity_event

is_connected_to_vpn

last_vpn_event

ip_address

mac_address

public_address

os_version

os_variant

should_be_operated_by__release

supervisor_version

should_be_managed_by__release

is_managed_by__service_instance

provisioning_progress

provisioning_state

download_progress

is_web_accessible

longitude

latitude

location

custom_longitude

custom_latitude

is_locked_until__date

is_accessible_by_support_until__date

created_at

is_active

api_heartbeat_state

memory_usage

memory_total

storage_block_device

storage_usage

storage_total

cpu_temp

cpu_usage

cpu_id

is_undervolted


Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get/v7/device
GET /v7/device HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
get/v7/device(<ID>)
GET /v7/device(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
delete/v7/device(<ID>)
DELETE /v7/device(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
patch/v7/device(<ID>)
PATCH /v7/device(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
UUIDanyRequired
get/v7/device(uuid='<UUID>')
GET /v7/device(uuid='<UUID>') HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
UUIDanyRequired
patch/v7/device(uuid='<UUID>')
PATCH /v7/device(uuid='<UUID>') HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?